/* 
	"Exporting an image of the current view from Jmol applet" by Angel Herrez 
	Licensed under a Creative Commons Attribution-Noncommercial-Share Alike 2.5 Spain License.
		http://creativecommons.org/licenses/by-nc-sa/2.5/  
	Permissions beyond the scope of this license may be available at http://biomodel.uah.es/
*/
// v.1.5 (=1.4=0.14)

function openJmolSnapshot()
{	var iW = jmolEvaluate("_width")
	var iH = jmolEvaluate("_height")
	var parms = 'resizable,scrollbars'
	if (parseInt(iW)==iW) 
	{	parms += ',width=' + (parseInt(iW) + 80)
		// allow some space for browser margin and chrome, and comments/help
	}
	if (parseInt(iH)==iH)
	{	parms += ',height=' + (parseInt(iH) + 100)
	}
	wSnap = window.open('jmol_snapshot.htm', '', parms)
}

var wSnap

function openJmolSnapshotXY(x,y)
{	var jW = jmolEvaluate("_width")
	var jH = jmolEvaluate("_height")
	document.getElementById("jmolApplet0").style.width = x+"px"
	document.getElementById("jmolApplet0").style.height = y+"px"
	//jmolScript("refresh")
	alert('ready to take snapshot; please, click OK')  //this is needed to give Jmol time to resize and render before exporting the image
	openJmolSnapshot()
	alert('snapshot done; please, click OK')	//needed to give Jmol time to export the image before resizing back (at least with php method in IE)
	if (wSnap) { wSnap.focus() }
	document.getElementById("jmolApplet0").style.width = jW+"px"
	document.getElementById("jmolApplet0").style.height = jH+"px"
}

function openJmolSnapshotZ(z)
{	var jW = jmolEvaluate("_width")
	var jH = jmolEvaluate("_height")
	document.getElementById("jmolApplet0").style.width = jW*z+"px"
	document.getElementById("jmolApplet0").style.height = jH*z+"px"
	//jmolScript("refresh")
	alert('ready to take snapshot; please, click OK')  //this is needed to give time to Jmol to export the image before resizing back
	openJmolSnapshot()
	alert('snapshot done; please, click OK')	//needed to give Jmol time to export the image before resizing back (at least with php method in IE)
	if (wSnap) { wSnap.focus() }
	document.getElementById("jmolApplet0").style.width = jW+"px"
	document.getElementById("jmolApplet0").style.height = jH+"px"
}

/*
<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/es/">
<img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-nc-sa/2.5/es/88x31.png" />
</a>
<br />
<span xmlns:dc="http://purl.org/dc/elements/1.1/" href="http://purl.org/dc/dcmitype/InteractiveResource" property="dc:title" rel="dc:type">Exporting an image of the current view from Jmol applet</span> by 
<a xmlns:cc="http://creativecommons.org/ns#" href="http://biomodel.uah.es/Jmol/" property="cc:attributionName" rel="cc:attributionURL">Angel Herrez</a> is licensed under a 
<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/es/">Creative Commons Attribution-Noncommercial-Share Alike 2.5 Spain License</a>.
<br />Permissions beyond the scope of this license may be available at 
<a xmlns:cc="http://creativecommons.org/ns#" href="http://biomodel.uah.es/" rel="cc:morePermissions">http://biomodel.uah.es/</a>.
*/